List API Keys
curl --request GET \
--url https://partner.peaka.studio/api/v1/projects/{projectId}/apiKeys \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner.peaka.studio/api/v1/projects/{projectId}/apiKeys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner.peaka.studio/api/v1/projects/{projectId}/apiKeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "test",
"apiKey": null,
"apiKeyId": "21fd1a8d-88d5-4295-b792-5b2113138057"
}
]Projects -- Api Key
List API Keys
Retrieves all API Keys associated with the specified Project.
GET
/
projects
/
{projectId}
/
apiKeys
List API Keys

Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Path Parameters
Project ID
Response
200 - application/json
List of API Keys
Represents an API key.
Name of the API key
API key. It is a secret and should not be shared. Please store it securely. You will not be able to see it again.
ID of the API key
Expiration date of the API key. If null, the API key never expires. The time is in the ISO-8601 standard.